<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.10/vue.js">
    </script>

</head>

<body>
    <div id="app">
        <div class="container">
            <h1 class="mt-3 mb-2">Bienvenido a tu carrito de compras de confianza</h1>
            <br />
            <form @submit="agregarAlCarrito">
                <div class="form-group">
                    <input type="text" placeholder="Nombre del producto" required v-model="nombreProducto" />
                </div>
                <div class="form-group">
                    <input type="number" placeholder="Cantidad" required v-model="cantidad" />
                </div>
                <div class="form-group">
                    <input class="mb-3" type="number" placeholder="Precio " required v-model="precio" />
                </div>
                <button type="submit" class="btn btn-success mr-5">Agregar a carrito</button>
                <button type="button" v-on:click="vaciarCarrito" class="btn btn-danger ml-4">Vaciar carrito </button>
            </form>
            <div class="row">
                <div class="col-lg-4">
                    <ul class="list-group">
                        <li class="list-group-item" v-for="pro in lista">
                            {{pro.cantidad}} x {{pro.nombreProducto}} ${{pro.precio}}
                        </li>
                    </ul>

                </div>
            </div>
            <h3 class="mt-2">Total: ${{calcularTotal()}}</h3>
        </div>
    </div>

    <script>


        const app = new Vue({
            el: '#app',
            data: {
                nombreProducto: '',
                cantidad: '',
                precio: '',
                lista: [

                ]
            },
            methods: {
                agregarAlCarrito: function (e) {
                    this.lista.push({ nombreProducto: this.nombreProducto, cantidad: this.cantidad, precio: this.precio })
                    this.nombreProducto = '',
                        this.precio = '',
                        this.cantidad = ''
                    e.preventDefault();
                },
                calcularTotal: function () {
                    let total = 0;
                    this.lista.forEach(element => {
                        total += element.cantidad * element.precio

                    });
                    return total
                },
                vaciarCarrito: function () {
                    this.lista = []
                }
            }

        });
        window.vue = app;

    </script>

</body>

</html>